﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace jQueryAutocompleteWithWcf
{
    public class AutomobileService : IAutomobileService
    {
        private static readonly IList<Automobile> _automobiles = SampleData.GetAllAutomobiles().ToList();

        public IEnumerable<string> GetMakes(string term)
        {
            return from a in _automobiles
                   group a by a.Make into m
                   where m.Key.StartsWith(term, StringComparison.InvariantCultureIgnoreCase)
                   orderby m.Key
                   select m.Key;
        }

        public IEnumerable<string> GetModels(string term)
        {
            return from a in _automobiles
                   group a by a.Model into m
                   where m.Key.StartsWith(term, StringComparison.InvariantCultureIgnoreCase)
                   orderby m.Key
                   select m.Key;
        }
    }
}
